Hello everyone,

I've recently (yesterday) updated my phone to OTA 2.1 and used the rsd flashing tool to do it, with no problems.

I then decided I wanted to root it, and went to flash the new sprecovery rom to it. However, to my surprise, the rsd lite wouldn't flash any other roms to the phone anymore!

Whenever I try to do it I get the following error:
ERROR: Flash failure: Phone[0000]: Phone is not compatible with multi-interface super-file. (Error Code: 3b)
13:27:35, April 17, 2010
Line: 233
ERROR: Phone[0000]: Phone is not compatible with multi-interface super-file.
File: X:\test_dev_usb\flash\code\flashdll\MIFlash.cpp
Device ID: 0


Has anyone seen something like this? It's happening to any roms I try to flash...tried downgrading, but I get the very same error.

Help, please!